Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassOrganizer

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassOrganizer

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassOrganizer

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Organizer', and utility methods for working with them. specDomain: V19443 (C-0-D11527-V13856-V19445-V19443-cpt)

See Also:
  `CDAR2Package.getActClassOrganizer()`

Field Summary
`static int` | `CATEGORY` The 'CATEGORY' literal value.
`static ActClassOrganizer` | `CATEGORY_LITERAL` The 'CATEGORY' literal object.
`static int` | `DOCBODY` The 'DOCBODY' literal value.
`static ActClassOrganizer` | `DOCBODY_LITERAL` The 'DOCBODY' literal object.
`static int` | `DOCSECT` The 'DOCSECT' literal value.
`static ActClassOrganizer` | `DOCSECT_LITERAL` The 'DOCSECT' literal object.
`static int` | `ORGANIZER` The 'ORGANIZER' literal value.
`static ActClassOrganizer` | `ORGANIZER_LITERAL` The 'ORGANIZER' literal object.
`static int` | `TOPIC` The 'TOPIC' literal value.
`static ActClassOrganizer` | `TOPIC_LITERAL` The 'TOPIC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Organizer' enumerators.

Method Summary
`static ActClassOrganizer` | `get(int value)` Returns the 'Act Class Organizer' literal with the specified integer value.
`static ActClassOrganizer` | `get(java.lang.String literal)` Returns the 'Act Class Organizer' literal with the specified literal value.
`static ActClassOrganizer` | `getByName(java.lang.String name)` Returns the 'Act Class Organizer' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ORGANIZER

    public static final int ORGANIZER

  The 'ORGANIZER' literal value.

  If the meaning of 'ORGANIZER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ORGANIZER_LITERAL`, Constant Field Values

### CATEGORY

    public static final int CATEGORY

  The 'CATEGORY' literal value.

  If the meaning of 'CATEGORY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CATEGORY_LITERAL`, Constant Field Values

### DOCBODY

    public static final int DOCBODY

  The 'DOCBODY' literal value.

  If the meaning of 'DOCBODY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOCBODY_LITERAL`, Constant Field Values

### DOCSECT

    public static final int DOCSECT

  The 'DOCSECT' literal value.

  If the meaning of 'DOCSECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOCSECT_LITERAL`, Constant Field Values

### TOPIC

    public static final int TOPIC

  The 'TOPIC' literal value.

  If the meaning of 'TOPIC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TOPIC_LITERAL`, Constant Field Values

### ORGANIZER_LITERAL

    public static final ActClassOrganizer ORGANIZER_LITERAL

  The 'ORGANIZER' literal object.

  See Also:
    `ORGANIZER`

### CATEGORY_LITERAL

    public static final ActClassOrganizer CATEGORY_LITERAL

  The 'CATEGORY' literal object.

  See Also:
    `CATEGORY`

### DOCBODY_LITERAL

    public static final ActClassOrganizer DOCBODY_LITERAL

  The 'DOCBODY' literal object.

  See Also:
    `DOCBODY`

### DOCSECT_LITERAL

    public static final ActClassOrganizer DOCSECT_LITERAL

  The 'DOCSECT' literal object.

  See Also:
    `DOCSECT`

### TOPIC_LITERAL

    public static final ActClassOrganizer TOPIC_LITERAL

  The 'TOPIC' literal object.

  See Also:
    `TOPIC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Organizer' enumerators.

Method Detail

### get

    public static ActClassOrganizer get(java.lang.String literal)

  Returns the 'Act Class Organizer' literal with the specified literal value.

### getByName

    public static ActClassOrganizer getByName(java.lang.String name)

  Returns the 'Act Class Organizer' literal with the specified name.

### get

    public static ActClassOrganizer get(int value)

  Returns the 'Act Class Organizer' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD